package com.ningdatech.carapi.archives.enums;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 通过审核
 *
 * @author PoffyZhang
 */
@Getter
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "ApproveStateEnum", description = "通过审核-枚举")
public enum ApproveStateEnum {
    /**
     * 待审核
     */
    AUDIT(0, "待审核"),

    /**
     * 审核成功
     */
    AUDIT_SUCESS(1, "已审核");

    /**
     * code
     */
    private Integer code;

    /**
     * 描述
     */
    private String desc;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Integer getCode() {
        return this.code;
    }

    public boolean eq(String val) {
        return this.name().equals(val);
    }

}
